# Copyright (C) 2011-2014, Parrot Foundation.

=head1 NAME

parrot-ops2c - Convert Parrot opcodes to C

=head1 SYNOPSIS

parrot-ops2c [option]

=head1 DESCRIPTION

Translate Parrot opcode files (.ops) to C files.

=head2 Command line Options

For help, use :

    -h
    --help

To generate the C code for core ops (must be run from within Parrot's build directory), use :

    -c
    --core

To generate the C code for dynamic ops in a single .ops file, use :

    -d <file.ops>
    --dynamic <file.ops>

To suppress error messages, use :

    -q
    --quiet

To suppress #line directives in generated C code (line numbers are not currently supported), use :

    -n
    --no-lines

For debugging option : 
To perform all processing without writing to any files, use :

    -g
    --debug

=head1 SEE ALSO

Before Parrot 6.9.0 this program was called F<ops2c>.

=head1 HELP

For more help or any other question you go to L<http://parrot.org> or
L<http://github.com/parrot/parrot>.Or you can send email to 'parrot-dev@parrot.org'.
You are also invited to join the #parrot IRC channel on irc.parrot.org.

=cut
